LIBRARY ieee;
USE ieee.std_logic_1164.all;

-- This is the entity description of a D-flipflop with synchronous
-- reset and enable. It triggers on the rising edge of the clock.
--
-- Functional Table:
-- reset enable | Q
-- -------------+---
--   1     X    | 0
--   0     1    | D was heisst D = signal an D übernehmen?
--   0     0    | Q was heisst Q = gleichbleiben

-- enable = 0 --> hold signal on Q
-- enable = 1 --> signal D to Q (following clk)


ENTITY dffESR is 
   PORT ( ClkxCI  : IN  std_logic;
          RstxRI  : IN  std_logic;
          EnaxSI  : IN  std_logic;
          DxDI    : IN  std_logic;
          QxDO    : OUT std_logic );
END dffESR;
